Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class SequenceStats

    java.lang.Object
      com.sleepycat.je.SequenceStats

    public class SequenceStats

extends Object

A SequenceStats object is used to return sequence statistics.

Method Summary
`int` | `getCacheSize()` Return the number of values that will be cached in this handle.
`long` | `getCurrent()` Return the current value of the sequence in the database.
`long` | `getLastValue()` Return the last cached value of the sequence.
`long` | `getMax()` Return the maximum permitted value of the sequence.
`long` | `getMin()` Return the minimum permitted value of the sequence.
`int` | `getNCachedGets()` Return the number of times that Sequence.get was called and a cached value was returned.
`int` | `getNGets()` Return the number of times that Sequence.get was called successfully.
`long` | `getValue()` Return the current cached value of the sequence.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCurrent

    public long getCurrent()

  Return the current value of the sequence in the database.

  Returns:
    current value of the sequence in the database.

### getValue

    public long getValue()

  Return the current cached value of the sequence.

  Returns:
    current cached value of the sequence.

### getLastValue

    public long getLastValue()

  Return the last cached value of the sequence.

  Returns:
    last cached value of the sequence.

### getMin

    public long getMin()

  Return the minimum permitted value of the sequence.

  Returns:
    minimum permitted value of the sequence.

### getMax

    public long getMax()

  Return the maximum permitted value of the sequence.

  Returns:
    maximum permitted value of the sequence.

### getCacheSize

    public int getCacheSize()

  Return the number of values that will be cached in this handle.

  Returns:
    number of values that will be cached in this handle.

### getNGets

    public int getNGets()

  Return the number of times that Sequence.get was called successfully.

  Returns:
    number of times that Sequence.get was called successfully.

### getNCachedGets

    public int getNCachedGets()

  Return the number of times that Sequence.get was called and a cached value was returned.

  Returns:
    number of times that Sequence.get was called and a cached value was returned.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.